function x=birandn(rho,n,MC)
%x=birandn(rho,n,MC);
%Returns n-by-MC-by-2 array of Gaussian random numbers.
%x(:,:,1) and x(:,:,2) are correlated with correlation coefficient rho.

A = 0.5*[[1;1]*sqrt(1+rho) [1;-1]*sqrt(1-rho)]*[1 1;1 -1];
x = zeros(n,MC,2);
x(:) = (A*randn(2,n*MC))';
