function rho=corr(x)
%rho=corr(x);
%Returns correlation coefficient of x(:,:,1) and x(:,:,2).
n=size(x,1);
x=x-repmat(mean(x),[n,1,1]);
rho=sum(x(:,:,1).*x(:,:,2))./sqrt(sum(x(:,:,1).^2).*sum(x(:,:,2).^2));
